#include <SPI.h>
#include <SNAAB_ILI9341.h>
#include "Arial14x16.h"

#define TFT_CS 10
#define TFT_DC 9

const CurrentFont *Font1;

SNAAB_ILI9341  ili9341;

bool changeColor = false;

 uint8_t count, index = 0; 
 uint16_t stepChar = 0;
 char *str = "Тестовая строка";
 uint16_t colorTmp = YELLOW;
 uint8_t orient = 0;

void setup() {
  ili9341.begin(TFT_CS, TFT_DC);
  ili9341.setFreq(2);
  ili9341.clear();
  
  Font1 = &Arial14x16;
  ili9341.setFont(Font1);

  index = 0;
  stepChar = 0; 
}

void loop() {
  ili9341.clear();
  ili9341.setOrientation(orient);  

  if (changeColor) {
    colorTmp = CYAN;
  }
  else {
    colorTmp = YELLOW;  
  }

  ili9341.fillChar(str, 5, 20, false, index, BLACK); 
  index++;
   if (index > (count -1)) {
    index = 0;
   } 
  count = ili9341.drawText(str, 5, 20, false, true, colorTmp); 
  ili9341.fillChar(str, 5, 20, false, index, GREEN); 

  stepChar = ili9341.drawChar('№', 5, 40, false, colorTmp); 
  ili9341.drawChar('3', 5 + stepChar, 40, false, colorTmp); 

  changeColor = ! changeColor;

  orient++;
  if (orient > 3) {
    orient = 0;
   }

  delay(1000);
}
