#include <SPI.h>
#include <SNAAB_ILI9341.h>
#include "FR.h";
#include "Stop.h";
#include "Play.h";
#include "Pause.h";
#include "FF.h";

#define TFT_CS 10
#define TFT_DC 9

SNAAB_ILI9341  ili9341;
int colorRand = 0;
unsigned int colorTmp = CYAN;
int i = 0;

void setup() {
  ili9341.begin(TFT_CS, TFT_DC);
  ili9341.setFreq(2);
  ili9341.clear();
  ili9341.setOrientation(LANDSCAPE);
}

void loop() {
 colorRand = random(0, 5); 
 for (i = 0; i < 5; i++) {
  if (colorRand == i) {
    colorTmp = YELLOW;}
    else
     {colorTmp = CYAN;}  
  ili9341.drawThickRoundRect(2 + (i * 63), 152, 58, 58, 3, 20, colorTmp);  
  switch (i) {   
    case 0: ili9341.drawBitmap(FR_bits, 9, 160, FR_width, FR_height, BLUE); break;
    case 1: ili9341.drawBitmap(Stop_bits, 73, 160, Stop_width, Stop_height, RED); break;
    case 2: ili9341.drawBitmap(Play_bits, 137, 160, Play_width, Play_height, GREEN); break;
    case 3: ili9341.drawBitmap(Pause_bits, 199, 160, Pause_width, Pause_height, YELLOW); break;
    case 4: ili9341.drawBitmap(FF_bits, 264, 160, FF_width, FF_height, BLUE); break;
  }  
 }
  delay(500);   
}
